/********************************************
* Data set search parameters CSS
********************************************/

#dsspContent { background-color: #FFF; }
.dsspDiv {
    background-color: #FFF;
}

#dsspSearchScreen {
    width: 100%;
    background-color: #FFF;
}
#dsspSearchLeft {
    width: 18em;
    float: left;
    overflow-y: auto;
    overflow-x: auto;
    height: 80vh;
    min-height: 40em;
    border-right: 2pt solid #e9e9e9;
}
#searchResultsHeader {
    margin-top: 1%;
    margin-bottom: 1%;
}
#searchResultsDiv {
    width: 100%;
    margin-right: 0px;
    margin-left: 0px;
    overflow: auto;
    height: inherit;
}
#dsspSearchRight {
    width: calc(100% - 21em);
    float: left;
    margin-left: 2em;
    height: 73vh;
    min-height: 40em;
}

#dsspSearchTop {
    width: 90%;
    height: 1em;
    padding: 0.6em;
    height: auto;
}

/** Fix for multirange was added to multirange.css manually:
input[type="range"].multirange.original {
        position: relative;
        margin-bottom: -10%;
    }
end of fix */

/** The slider widget will bug out if the scrolling div is not static to the body of the page.
  It could be fixed, but this is a better solution for other reasons:
#dsspSearchTop {
    position: fixed;
    margin-left: 14em;
    margin-top: 0em;
}
#dsspSearchRight {
    position: fixed;
    margin-left: 15em;
    margin-top: 4em;
    overflow: scroll;
    /**width: 90%;
    height: 50%;
    transform:scaleX(-1);
}
#searchResultsDiv {
    transform:scaleX(-1);
}
**/

table.dsSearchResultsTable {
  font-family: "Times New Roman", Times, serif;
  font-size: 0.9em;
  border: 1px solid #888888;
  text-align: center;
  border-collapse: collapse;
}
table.dsSearchResultsTable td {
  border: 1px solid #888888;
  white-space:nowrap;
  padding: 0.5em;
}
table.dsSearchResultsTable th {
  border: 1px solid #888888;
  font-size: 1em;
}
table.dsSearchResultsTable tbody td {
  font-size: 1em;
}
table.dsSearchResultsTable tr:nth-child(even) {
  background: #D0E4F5;
}
table.dsSearchResultsTable thead {
  background: #0B6FA4;
  border-bottom: 2px solid #00FF00;
}
table.dsSearchResultsTable thead th {
  font-size: 1em;
  font-weight: bold;
  color: #FF0000;
  text-align: center;
  border-left: 2px solid #0000FF;
}
table.dsSearchResultsTable thead th:first-child {
  border-left: none;
}

table.dsSearchResultsTable tfoot {
  font-size: 1em;
  font-weight: bold;
  color: #333333;
  background: #D0E4F5;
  border-top: 3px solid #444444;
}
table.dsSearchResultsTable tfoot td {
  font-size: 1em;
}



/** Widget panel */
#dsAttribHeader {
    padding: 0.5em;
    margin-bottom: -2em;
}
.widgetGroup {
    margin-left: 1.1em;
    margin-top: 1em;
}
.widgetGroup div {
    padding: 0.18em;
    margin-bottom: 0.5em;
}

.textDiv .btnSubmit {
    margin-left: 1em;
}
.textDiv .btnSubmit:hover {
    margin-top: -2px;
    border: 1px solid #ccccff;
}


.widgetGroup input[type=text] {
    width: 13em;
}
.widgetRow {
    font-size: 0.7em;
    margin-left: 1em;
}
.widgetDropdown {
    width: 90%;
}
.ui-widget {
    font-family: 'Open Sans',Arial,sans-serif;
    font-size: 0.8em;
}

/** Sliders */
.ui-slider-horizontal {
    height: .2em;
}
.sliderDiv {
    margin-left: 1em;
    margin-bottom: 1em;
}
.sliderLabelLeft {
    float: left;
}
.sliderLabelRight {
    float: left;
    margin-left: 60%;
}
.svgLabel {
    margin-bottom: 10px;
}

.widgetToggle {
    margin-right: 0.3em;
    margin-bottom: -0.2em;
    cursor: pointer;
}

/** Bar chart */
.widgetRow div svg {
    margin-left: 26px;
    margin-bottom: -80px;
    font-weight: bold;
    z-index: -10;
    width: 150px;
}
.widgetMinSelection {
    width: 5em !important;
    font-weight: normal;
    background: #eee;
    border: none;
    text-align: center;
}
.widgetMaxSelection {
    width: 5em !important;
    font-weight: normal;
    background: #eee;
    border: none;
    text-align: center;
}

.widgetLabel {
    font-weight: bold;
    margin-left: -0.5em;
    color: #000;
    font-size: 1em;
}
.matchesRow {
    font-weight: bold;
    font-size: 1.2em !important;
    background-color: #fff !important;
    width: 10em;
}
.dsResRow {
    /**white-space: nowrap;*/
    background-color: #fefefe;
    /**display: flex;*/
    font-size: 0.8em;
}

.dsResRow div {
    margin: 0.3em;
}

.weightedFont {
  font-weight: bold;
}


#helpButtonWrapper.navPresent div {
    top: 3% !important;
    left: 80% !important;
}
.widget-group-results-div, .resultText {
    display: flex;
    padding: 0.2em;
    width: 94%;

    border-style: solid;
    border-bottom-style: solid;
    border-image: linear-gradient(transparent, black) 1;
    border-left: 0;
    border-bottom: 0;
    border-right: 0;
}
.widget-group-header-div {
    width: max-content;
    font-style: italic;
    font-size: 0.7em;
    padding: 0em;
    margin-bottom: -0.2em;
}
.resultText {
    font-size: 0.7em;
    overflow: auto;
    display: inline !important;
}
.resultText, .resultValue {
    margin-left: 3em;
    padding-left: 0.2em;
}
.resultSubheader {
    font-size: 0.8em;
}
.resultFeature, .resultHeader, .resultSubheader {
    background-color: #fff !important;
    font-style: normal !important;
}
.resultHeader, .resultSubheader {
    background-color: #fff !important;
    color: #3455d7;
    display: unset;
    padding-right: 10px;
}
.resultFeature {
    margin-left: 1em;
}
.featureWrapper {
    font-size: 0.7em;
}
.resultMainHeader {
    font-size: 1.1em;
}
#show-all-button {
    padding: .5em 16px .5em 16px;
    position: relative;
    color: #636363;
    background-repeat: no-repeat;
    background-position: 7px center;
    margin-bottom: 6px;
    border: 1px solid #d3d3d3;
	background: #f0f0f0;
	border-top-left-radius: 2px;
	border-top-right-radius: 2px;
	border-bottom-right-radius: 2px;
	border-top-left-radius: 2px;
}
#show-all-button:hover {
    background: #f5f5f5;
}

.widgetValBreadcrumb:hover {
    cursor: pointer;
    background-color: #f0f0f0;
}
.widgetValBreadcrumb {
    background-color: #91929924;
    border: 2px solid #def;
    padding: 2px;
    margin-left: 1em;
}
.closeImg {
    height: 1.5em;
    margin-bottom: -0.4em;
}

.featureWrapper a, .widget-group-header-div a {
    color: #3455d7;
}
.paperLinks, .fileLinks {
    color: #3455d7;
    cursor: pointer;
}
/** Not in play, but working if used. */
.previewFrame {
    position: absolute;
    z-index: 999;
    top: 20%;
    left: 20%;
    width: 60%;
    height: 60%;
    background: #fff;
    border: solid black 0.1em;
    overflow-y: scroll;
    overflow-x: auto;
}

#awaitingSearchResults {
    height: 1.4em;
    width: 1.4em;
}
#searchStatusModal {
    width: 1.8em;
    float: left;
    margin-left: 1em;
}
